GET Project/{id}/Simple
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Project/{id}/Simple
A simple Project object.
This is a simpler, smaller variation of the full ProjectEntity. Calls the Project agent service GetProject.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The id of the Project to return. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
ProjectEntity found.
| Response | Description |
|---|---|
| 200 | ProjectEntity found. |
| 404 | Not Found. |
Response body: Project
| Property Name | Type | Description |
|---|---|---|
| ProjectId | int32 | Primary key |
| Name | string | Project name |
| Description | string | The projects description |
| URL | string | URL address |
| Type | string | The project type. |
| AssociateId | int32 | The project owner id (associate id) |
| AssociateFullName | string | The project owner |
| TypeId | int32 | |
| Updated | date-time | Last updated date in UTC. |
| StatusId | int32 | The projects status id |
| Status | string | The projects status |
| TextId | int32 | The id of the description |
| PublishTo | date-time | Publication valid to (inclusive) |
| PublishFrom | date-time | Publication valid from (inclusive) |
| IsPublished | bool | |
| URLName | string | Visible field |
| ProjectNumber | string | Automatically generated number |
| ActiveErpLinks | int32 | The number of active erp links |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/Project/{id}/Simple
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 ProjectEntity found.
Content-Type: application/json; charset=utf-8
{
"ProjectId": 70,
"Name": "Website Redesign",
"Description": "Synergistic empowering instruction set",
"URL": "http://www.example.com/",
"Type": "iste",
"AssociateId": 871,
"AssociateFullName": "Kyleigh Hayes",
"TypeId": 761,
"Updated": "2000-08-29T14:34:02.2240201+02:00",
"StatusId": 127,
"Status": "voluptates",
"TextId": 358,
"PublishTo": "2013-12-05T14:34:02.2240201+01:00",
"PublishFrom": "2013-09-23T14:34:02.2240201+02:00",
"IsPublished": true,
"URLName": "http://www.example.com/",
"ProjectNumber": "1194128",
"ActiveErpLinks": 431,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 606
}
}
}